<!-- $Id: common.mrc.in.dist,v 1.17 2002/07/23 05:51:46 ehood Exp $  -->
<!-- ================================================================== -->
<!--	MHonArc Resource File for Mail Archives 			-->
<!--	Description:
	  This is the main resource file for the mail archives.
	  it contains all the common formatting characteristics
	  used across archives.  Archive specific settings can
	  be set via command-line options the bin/web-archive
	  program.
  -->
<!-- ================================================================== -->

<!-- CONLEN should only be set of Content-Length is accurate for the
     system.  Mail delivery under Solaris sets it properly.
     XXX: Should probably move this to command-line invocation.
  -->
<ConLen>

<!-- Added POSIXSTRFTIME so that we can print out timezone specs for
     archive generation (RT #244804) - baughj, 2005.06.16
  -->
<POSIXSTRFTIME>

<!-- Added for rt#106039 -- bernie -->
<!-- And #592561 and #592561, importantly also adding the html header line below in IdxPgBegin and MsgPgBegin -- ward -->
<TextEncode>
utf-8; MHonArc::UTF8::to_utf8; MHonArc/UTF8.pm
</TextEncode>

<-- With data translated to UTF-8, it simplifies CHARSETCONVERTERS -->
<CharsetConverters override>
default; mhonarc::htmlize
</CharsetConverters>

<-- Need to also register UTF-8-aware text clipping function -->
<TextClipFunc>
MHonArc::UTF8::clip; MHonArc/UTF8.pm
</TextClipFunc>

<!-- ================================================================== -->
<!--	Custom Variable Defintions 					-->
<!-- ================================================================== -->
<!--
	The following variables defined by the web-archive program
	and not here:
	  $ALL-LISTS-URL$	URL to all archive listing.
	  $CUR-PERIOD$		Current period in YYYY or YYYY-MM format.
	  $LIST-NAME$		Archive/list name and search index name.
	  $LIST-TITLE$		Archive/list title: generally equals
				$LIST-NAME$, but can be different like for
				CVS commit archives.
	  $PNAV-CGI$		URL to period navigation cgi program.
	  $SEARCH-CGI$		URL to search cgi program.
  -->

<SPAMMODE>

<AddressModifyCode>
$_ = 'address@hidden';
</AddressModifyCode>

<!-- Variables representing period links for index pages.
  -->
<DefineVar chop>
PREV-PERIOD-LABEL
Prev&nbsp;Period
</DefineVar>

<DefineVar chop>
NEXT-PERIOD-LABEL
Next&nbsp;Period
</DefineVar>

<DefineVar chop>
PREV-PERIOD-LINK
[<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=prev">$PREV-PERIOD-LABEL$</a>]
</DefineVar>

<DefineVar chop>
NEXT-PERIOD-LINK
[<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=next">$NEXT-PERIOD-LABEL$</a>]
</DefineVar>

<DefineVar chop>
TPREV-PERIOD-LINK
[<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=prev&amp;t=t">$PREV-PERIOD-LABEL$</a>]
</DefineVar>

<DefineVar chop>
TNEXT-PERIOD-LINK
[<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=next&amp;t=t">$NEXT-PERIOD-LABEL$</a>]
</DefineVar>

<!-- Variable representing markup of search form.
  -->
<DefineVar>
SEARCH-FORM
<form method="get" action="$SEARCH-CGI$">
<input type="text" name="query" size="30">
<input type="submit" name="submit" value="Search">
<input type="hidden" name="idxname" value="$LIST-NAME$">
<a href="$SEARCH-CGI$?idxname=$LIST-NAME$">Advanced</a>
</form>
</DefineVar>

<DefineVar chop>
THREAD-IDX-LINK
[<b><a href="$TIDXFNAME$">Thread&nbsp;Index</a></b>]
</DefineVar>

<DefineVar chop>
DATE-IDX-LINK
[<b><a href="$IDXFNAME$">Date&nbsp;Index</a></b>]
</DefineVar>

<!-- Main index page nav links if MULTIPG is ever used.
     This variable could be reference by list-specific resource files
     if MULTIPG is activated.
  -->
<DefineVar>
MAIN-PAGE-LINKS
<hr size=1 noshade>
<table width="100%" border=0 cellpadding=0 cellspacing=0>
<tr align="center">
<th colspan=4><small>Page $PAGENUM$ of $NUMOFPAGES$</small></th>
<tr>
<td align="left"
><small>[<a href="$PG(FIRST)$">First&nbsp;Page</a>]</small></td>
<td align="right"><small>$PGLINK(PREV)$</small></td>
<td align="left"><small>$PGLINK(NEXT)$</small></td>
<td align="right"><small>[<a href="$PG(LAST)$">Last&nbsp;Page</a>]</small></td>
</tr>
</table>
<hr size=1 noshade>
</DefineVar>

<!-- Thread index page nav links if MULTIPG ever used.
     This variable could be reference by list-specific resource files
     if MULTIPG is activated.
  -->
<DefineVar>
THREAD-PAGE-LINKS
<hr size=1 noshade>
<table width="100%" border=0 cellpadding=0 cellspacing=0>
<tr align="center">
<th colspan=4><small>Page $PAGENUM$ of $NUMOFPAGES$</small></th>
<tr>
<td align="left"
><small>[<a href="$PG(TFIRST)$">First&nbsp;Page</a>]</small></td>
<td align="right"><small>$PGLINK(TPREV)$</small></td>
<td align="left"><small>$PGLINK(TNEXT)$</small></td>
<td align="right"><small>[<a href="$PG(TLAST)$">Last&nbsp;Page</a>]</small></td>
</tr>
</table>
<hr size=1 noshade>
</DefineVar>

<!-- ================================================================== -->
<!--	General Resources						-->
<!-- ================================================================== -->

<!-- Since we specify resource settings everytime, no need to save
     them in archive database.
  -->
<NoSaveResources>

<!-- Arguments to content filters.
     CAUTION: Verify options against security concerns and make
	      any changes accordingly.
  -->
<MIMEArgs override>
m2h_external::filter;	inline useicon
m2h_text_plain::filter;	attachcheck quote maxwidth=80
m2h_text_html::filter;	notitle
</MIMEArgs>

<!-- Stricter MSGSEP.  Not important if CONLEN active.
     XXX: Should this strict setting exist or should we just use
	  MHonArc's default value for MSGSEP as the default?
  -->
<MsgSep>
^From \S+\s+\S+\s+\S+\s+\d+\s+\d+:\d+:\d+\s+\d+
</MsgSep>

<!-- Icons settings copied from documentation.  Works with
     Apache server.  Icons not used in index, but attachment
     filter is given useicon argument.  If Apache is not used,
     or the icon URLs are different, this resource needs to
     be changed or the useicon argument removed from
     m2h_external::filter.
  -->
<Icons>
application/*;[20x22]/icons/generic.png
application/msword;[20x22]/icons/layout.png
application/postscript;[20x22]/icons/ps.png
application/rtf;[20x22]/icons/layout.png
application/x-csh;[20x22]/icons/script.png
application/x-dvi;[20x22]/icons/dvi.png
application/x-gtar;[20x22]/icons/tar.png
application/x-gzip;[20x22]/icons/compressed.png
application/x-ksh;[20x22]/icons/script.png
application/x-latex;[20x22]/icons/tex.png
application/octet-stream;[20x22]/icons/binary.png
application/x-patch;[20x22]/icons/patch.png
application/pdf;[20x22]/icons/pdf.png
application/x-script;[20x22]/icons/script.png
application/x-sh;[20x22]/icons/script.png
application/x-tar;[20x22]/icons/tar.png
application/x-tex;[20x22]/icons/tex.png
application/x-zip-compressed;[20x22]/icons/compressed.png
application/zip;[20x22]/icons/compressed.png
audio/*;[20x22]/icons/sound1.png
chemical/*;[20x22]/icons/sphere2.png
image/*;[20x22]/icons/image2.png
message/external-body;[20x22]/icons/link.png
multipart/*;[20x22]/icons/layout.png
text/*;[20x22]/icons/text.png
video/*;[20x22]/icons/movie.png
*/*;[20x22]/icons/generic.png
</Icons>

<!-- ================================================================== -->
<!--	Main Index 							-->
<!-- ================================================================== -->

<!-- Set sorting order of main index pages: Reverse chronological.  -->
<Sort>
<Reverse>

<!-- Show dates in local time. -->
<UseLocalTime>

<!-- Make date index the default page for the archive. -->
<IdxFName>
index.html
</IdxFName>

<MsgLocalDateFmt>
%B %d, %Y
</MsgLocalDateFmt>

<IdxPgBegin>
<!doctype html public "-//W3C//DTD HTML//EN">
<html>
<head>
<title>$IDXTITLE$</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<style> .nowrap { white-space: nowrap } </style>
</head>
<body>
<center>
<em>Archives are refreshed every 15 minutes - for details, please visit
<a href="http://lists.gnu.org/archive/html/">the main index</a>.</em>
<br>
You can also <a href="https://lists.gnu.org/archive/mbox/$LIST-NAME$/">download the archives in mbox format</a>.
<p>
<table border=0 cellspacing=2 cellpadding=0 bgcolor="#000000">
<tr><td><table border=0 bgcolor="#FFFFCC">
<tr><td><big><big><b>$IDXTITLE$</b></big></big></td></tr></table></tr></table>
<div class="nowrap">
<small>$THREAD-IDX-LINK$[<a href="../"
>Top</a>][<a href="$ALL-LISTS-URL$">All Lists</a>][<a
href="//lists.gnu.org/mailman/listinfo/$LIST-NAME$">$LIST-NAME$ info page</a>]</small>
</div>
$SEARCH-FORM$
</center>
</IdxPgBegin>

<ListBegin>
<table width="100%">
<tr valign="bottom">
<td align="left">$PREV-PERIOD-LINK$</td>
<td align="center"><small
>Last Modified: $MSGLOCALDATE(LAST;%a %b %d %Y %H:%M:%S %z)$<br>
Messages in reverse chronological order</small></td>
<td align="right">$NEXT-PERIOD-LINK$</td>
</tr>
</table>
<hr size="1" noshade>
<ul>
</ListBegin>

<!-- Date listing is done in day groups with the each day listed in bold
     and messages for that date listed under it.
  -->
<DayBegin>
<li><strong>$MSGLOCALDATE$</strong>
<ul>
</DayBegin>

<DayEnd>
</ul></li>
</DayEnd>

<LITemplate>
<li>$SUBJECT$, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%H:%M)$</tt></li>
</LITemplate>

<ListEnd>
</ul>
<hr size="1" noshade>
<table width="100%">
<tr valign="bottom">
<td align="left">$PREV-PERIOD-LINK$</td>
<td align="right">$NEXT-PERIOD-LINK$</td>
</tr>
</table>
</ListEnd>

<!-- ================================================================== -->
<!--	Thread Index 							-->
<!-- ================================================================== -->

<!-- Reverse thread order. -->
<TReverse>

<!-- Show no indicator of subject-based thread detection since most
     people do not care.
     NOTE: The blank line is important!
  -->
<TSubjectBeg>

</TSubjectBeg>

<TIdxPgBegin>
<!doctype html public "-//W3C//DTD HTML//EN">
<html>
<head>
<title>$TIDXTITLE$</title>
</head>
<body>
<center>
<em>Archives are refreshed every 15 minutes - for details, please visit <a
href="http://lists.gnu.org/archive/html/">the main index</a>.</em>
<br>
You can also <a href="https://lists.gnu.org/archive/mbox/$LIST-NAME$/">download the archives in mbox format</a>.
<p>
<table border=0 cellspacing=2 cellpadding=0 bgcolor="#000000">
<tr><td><table border=0 bgcolor="#FFFFCC">
<tr><td><big><big><b>$TIDXTITLE$</b></big></big></td></tr></table></tr></table>
<div class="nowrap">
<small
>$DATE-IDX-LINK$[<a href="../"
>Top</a>][<a href="$ALL-LISTS-URL$">All Lists</a>]</small>
</div>
$SEARCH-FORM$
</center>
</TIdxPgBegin>

<THead>
<table width="100%">
<tr valign="bottom">
<td align="left">$TPREV-PERIOD-LINK$</td>
<td align="center"><small
>Last Modified: $MSGLOCALDATE(LAST;%a %b %d %Y %H:%M:%S %z)$<br>
Threads in reverse chronological order</small></td>
<td align="right">$TNEXT-PERIOD-LINK$</td>
</tr>
</table>
<hr size="1" noshade>
<ul>
</THead>

<TTopBegin>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</TTopBegin>

<TLiTxt>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</TLiTxt>

<TSingleTxt>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</TSingleTxt>

<TFoot>
</ul>
<hr size="1" noshade>
<table width="100%">
<tr valign="bottom">
<td align="left">$TPREV-PERIOD-LINK$</td>
<td align="right">$TNEXT-PERIOD-LINK$</td>
</tr>
</table>
</TFoot>

<!-- ================================================================== -->
<!--	Message Pages							-->
<!-- ================================================================== -->

<ModTime>

<!-- We clip the subject title to 72 characters to prevent ugly pages
     due to very long subject lines.  The full subject text will still
     be shown in the formatted message header.
  -->
<MsgPgBegin>
<!doctype html public "-//W3C//DTD HTML//EN">
<html>
<head>
<title>$SUBJECTNA:72$</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body>
<center>
<table border=0 cellspacing=2 cellpadding=0 bgcolor="#000000">
<tr><td><table border=0 bgcolor="#FFFFCC">
<tr><td><big><b>$LIST-TITLE$</b></big></td></tr></table></tr></table>
<div class="nowrap">
<small>[<a href="../"
>Top</a>][<a href="$ALL-LISTS-URL$">All Lists</a>]</small>
</div>
$SEARCH-FORM$
</center>
</MsgPgBegin>

<TopLinks>
<hr>
$BUTTON(PREV)$$BUTTON(NEXT)$$BUTTON(TPREV)$$BUTTON(TNEXT)$[<a
href="$IDXFNAME$#$MSGNUM$">Date Index</a>][<a
href="$TIDXFNAME$#$MSGNUM$">Thread Index</a>]
</TopLinks>

<SubjectHeader>
<h2>$SUBJECTNA:72$</h2>
<hr>
<table border=0>
<tbody>
<tr>
<td align="right" valign="top">
<b>From</b>: </td>
<td align="left">
$FROMNAME$</td>
</tr>
</SubjectHeader>

<!-- Format message header in a table. -->

<FieldOrder>
subject
date
user-agent
</FieldOrder>

<Fieldsbeg>

</FieldsBeg>

<LabelBeg>
<tr>
<td align="right" valign="top">
</LabelBeg>

<LabelEnd>
: </td>
</LabelEnd>

<FldBeg>
<td align="left">
</FldBeg>

<FldEnd>
</td>
</tr>
</FldEnd>

<FieldsEnd>
</tbody>
</table>
</FieldsEnd>

<LabelStyles>
-default-:b
</LabelStyles>

<!-- Disable explicit follow-up/references section and use $TSLICE$ instead.
  -->
<NoFolRefs>

<!-- Set TSLICE resource to represent default $TSLICE$ behavior and
     mainly to set the maximum message page update ranges when messages
     are added to the archive.  I.e.  The before and after values
     should represent the largest before and after values we will use
     with $TSLICE$.
  -->
<TSlice>
10:10:1
</TSlice>

<!-- We set up slice formatting so current message in thread is not
     hyperlinked and "greyed out".  We could probably use CSS to
     do this, but <font> seems to still work with most popular
     graphical browsers.
  -->
<TSliceBeg>
<ul>
</TSliceBeg>

<TSliceTopBeginCur>
<li><font color="#666666"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em></font>&nbsp;<b>&lt;=</b>
</TSliceTopBeginCur>

<TSliceLiTxtCur>
<li><font color="#666666"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em></font>&nbsp;<b>&lt;=</b>
</TSliceLiTxtCur>

<TSliceSingleTxtCur>
<li><font color="#666666"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em></font>&nbsp;<b>&lt;=</b>
</TSliceSingleTxtCur>

<TSliceEnd>
</ul>
</TSliceEnd>

<!-- Modify end of message body to include thread slice.  We also
     include convenient next/prev-in-thread links since scanning
     slice can be inconvenient for simple thread reading.
  -->
<MsgBodyEnd>
<hr>
<form method="post" action="/mp/yyz.py" enctype="multipart/form-data">
<input type="hidden" name="a" value="$FROMADDRNAME$">
<input type="hidden" name="b" value="$SUBJECTNA$">
<input type="hidden" name="d" value="$MSGID$">
<input type="hidden" name="c" value="$FROMADDRDOMAIN$">
<center>reply via email to<br><input type="submit" value=" $FROMNAME$ "></center>
</form>
<hr>
<table width="100%">
<tr><td align="left">$BUTTON(TPREVIN)$</td>
<td align="center"><b>Current Thread</b></td>
<td align="right">$BUTTON(TNEXTIN)$</td></tr></table>
$TSLICE$
<hr>
</MsgBodyEnd>
